Bug 599181 - [abrt] crash in iptstate-2.2.2-4.fc13: _nc_printf_string: Process /usr/sbin/iptstate was killed by signal 11 (SIGSEGV)
[abrt] crash in iptstate-2.2.2-4.fc13: _nc_printf_string: Process /usr/sbin/i...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iptstate (Show other bugs)
23
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:d59d7dbad3aa1b69a2689dd33a8...
: Reopened
: 847122 983710 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 15:37 EDT by Egon Kastelijn
Modified: 2016-12-02 22:20 EST (History)
2 users (show)

See Also:
Fixed In Version: iptstate-2.2.6-1.fc25 iptstate-2.2.6-1.fc24 iptstate-2.2.6-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 18:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.65 KB, text/plain)
2010-06-02 15:37 EDT, Egon Kastelijn
no flags Details

  None (edit)
Description Egon Kastelijn 2010-06-02 15:37:46 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: iptstate -1 -C
component: iptstate
crash_function: _nc_printf_string
executable: /usr/sbin/iptstate
global_uuid: d59d7dbad3aa1b69a2689dd33a83113ef2b4fd71
kernel: 2.6.33.5-112.fc13.x86_64
package: iptstate-2.2.2-4.fc13
rating: 4
reason: Process /usr/sbin/iptstate was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
iptstate -1 -C
100% reproducable on multiple systems.

How to reproduce
-----
1. iptstate -1 -C
2.
3.
Comment 1 Egon Kastelijn 2010-06-02 15:37:48 EDT
Created attachment 419141 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-02 08:18:02 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Egon Kastelijn 2011-06-14 15:02:34 EDT
This problem is still present in Fedora 15.
I am updating the version to 15.

# iptstate -1 -C
Segmentation fault (core dumped)
Comment 4 Fedora End Of Life 2012-08-07 15:44:05 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Egon Kastelijn 2012-08-09 14:04:44 EDT
This problem still exists in Fedora 17.

iptstate-2.2.2-7.fc17.x86_64
Comment 6 Egon Kastelijn 2012-08-09 14:51:50 EDT
*** Bug 847122 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2013-07-04 02:55:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Egon Kastelijn 2013-07-11 14:30:45 EDT
*** Bug 983710 has been marked as a duplicate of this bug. ***
Comment 9 Fedora End Of Life 2015-01-09 16:44:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Egon Kastelijn 2015-01-10 13:55:58 EST
This problem still exists in Fedora 21.
<I am going for a record here... ;) >
Comment 11 Fedora End Of Life 2015-11-04 10:44:54 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Egon Kastelijn 2015-12-01 16:15:06 EST
Bumping the version to Fedora 23.
(problem still exists)
Comment 13 Fedora Update System 2016-10-25 20:52:05 EDT
iptstate-2.2.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fcb4e6a183
Comment 14 Fedora Update System 2016-10-25 23:21:28 EDT
iptstate-2.2.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8641f9eac
Comment 15 Fedora Update System 2016-10-26 00:24:27 EDT
iptstate-2.2.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-48bc6a3fe4
Comment 16 Fedora Update System 2016-10-26 18:29:51 EDT
iptstate-2.2.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-10-26 23:19:45 EDT
iptstate-2.2.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Egon Kastelijn 2016-10-27 16:29:43 EDT
-> Tested: Works fine now.  Thanks !
Comment 19 Fedora Update System 2016-12-02 22:20:49 EST
iptstate-2.2.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.